/*
 * D88_P31.h
 *
 * Created: 2016/05/05 12:08:40
 *  Author: koichi
 */ 

#ifndef D88_P31_H_
#define D88_P31_H_

#include "SD.h"
#include <avr/io.h>

// convert a d88 file to a p31 file
void d882p31(struct FILE *p31File, struct FILE *d88File, uint8_t *err);

// convert a p31 file to a d88 file
void p312d88(struct FILE *d88File, struct FILE *p31File, uint8_t *err);

#endif /* D88_P31_H_ */