﻿/*
 * INI.h
 *
 * Created: 2013/11/06 1:16:46
 *  Author: Koichi Nishida
 */ 
/*
Copyright (C) 2015 Koichi NISHIDA
email to Koichi NISHIDA: tulip-house@msf.biglobe.ne.jp
*/

#ifndef INI_H_
#define INI_H_

// SD6031AR.INI file
extern struct FILE iniFile;

// open or create SD6031AR.INI
void INI_openCreate(uint8_t *err);

// read INI file to a buffer
void INI_read(uint8_t *buff, uint8_t *err);

// substitute a file name in SD6031AR.INI
void INI_substitute(uint8_t *buff, uint8_t drv, char *name, uint8_t *err);

// read a file name in SD6031AR.INI
void INI_readFName(uint8_t *buff, uint8_t drv, char *name, uint8_t *err);

#endif /* INI_H_ */