﻿/*
 * MESSAGE.c
 *
 * Created: 2015/04/29 12:00:16
 *  Author: 浩一
 */ 

#include<avr/io.h>

#ifdef DEBUG

uint8_t mes_ptr = 0;
uint8_t message[64];

void MESSAGE_init()
{
	uint8_t i;
	for (i=0; i<63; i++) message[i] = ' ';
	message[63] = 0;
}

void MESSAGE_char(char c)
{
	message[mes_ptr++] = c;
	if (mes_ptr==64) mes_ptr=0;
}

void MESSAGE_str(char *str)
{
	while (*str != 0) {
		MESSAGE_char(*(str++));
	}	
}

void MESSAGE_str16(uint16_t *str)
{
	while (*str != 0) {
		MESSAGE_char((char)*(str++));
	}
}

#endif